curl --request GET \
--url https://api.bspk.com/api/extraction/v1/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bspk.com/api/extraction/v1/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bspk.com/api/extraction/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"store_id": "Store-external_id-47",
"store_name": "Store-56",
"sales_associate_id": "SA_01",
"sales_associate_name": "FirstName-79 LastName-79",
"client_id": "EXTERNAL_ID_145",
"client_name": "FirstName-80 LastName-80",
"to": null,
"created_at": "2024-08-07T12:29:23.594Z"
},
{
"store_id": "Store-external_id-47",
"store_name": "Store-56",
"sales_associate_id": "SA_01",
"sales_associate_name": "FirstName-79 LastName-79",
"client_id": "EXTERNAL_ID_145",
"client_name": "FirstName-80 LastName-80",
"to": null,
"created_at": "2024-08-07T12:29:23.599Z"
}
]List Calls
List calls
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Client id owned by the brand
Sales Associate id owned by the brand
Only show calls updated after the given time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Combined with the from parameter, only show calls updated whitin the given range (from..to) time. This is a timestamp in ISO 8601 format: YYYY-MM-DDTHH:MM:SSZ.
Page number of the results to fetch. Default: 1
Results per page (max 100). Default: 30
Response
Successful response, returns array of calls
Unique identifier of the store where the call originated from (based on associate assignment)
Store name of where the call originated from (based on associate assignment)
Unique identifier of the associate that started the call
Full name of the associate who started the call
Unique identifier of the client that was called
Full name of the client that was called
Phone number the call was to (clients phone number)
Timestamp of when the call was started
